<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--rst

.. _year_ploticus.xsl:

=================
year_ploticus.xsl
=================

DESCRIPTION
===========

production d'un fichier de commande ploticus avec donnes incorpores pour
le graphe publications/anne

SEE ALSO
========

alternative :ref:`years_gnuplot.xsl`  (but no histogram, only linepoints)

TODO
====

voir une solution svg http://www.chez.com/xml/exemples/xslt/barchart/

alternative matplotlib

EVOLUTIONS
==========

$Id$

- fplod 20120228

  * rewrite ReST header
  * ploticus command is now (version 2.41) pl
  * ploticus now accept 4 digits year

- fplod 2008-05-05T09:48:05Z aedon.locean-ipsl.upmc.fr (Darwin)

  * force 2 digits format for years

- fplod 2008-04-29T15:28:53Z aedon.locean-ipsl.upmc.fr (Darwin)

  * chgt for dbk5 in years_ploticus.xsl 

- fplod yyymmdd?

  * inspired by /sw/share/ploticus2/pltestsuite/bars3.htm
    creation
-->

<xsl:output method="text"/>

<xsl:include href="biblioentry_xml.xsl"/>

<xsl:key name="key_years" match="///d:pubdate" use="."/>

<xsl:template match="d:bibliography">
#
#  $ pl -o years.png png years.ploticus
#
# FILES
# =====
#
# years.ploticus
#
# EVOLUTIONS
# ==========
#
# <xsl:value-of select="$makedate"/>
#
#proc getdata
data:
<!-- loop on years -->
<xsl:for-each select="///d:pubdate[generate-id(.) = generate-id(key('key_years', .)[1])]">
 <xsl:sort order="ascending" data-type="number" select="."/>
 <xsl:call-template name="one_year">
  <xsl:with-param name="year" select="."/>
 </xsl:call-template>
</xsl:for-each>

#proc areadef
  title: Nb of publications by year date : <xsl:value-of select="$makedate"/>
  titledetails: align=center
  xaxis.label: Year
  xscaletype: date yyyy
  xaxis.stubs: inc 2 year
  xaxis.stubformat: yyyy
  xautorange: datafield=1
  yaxis.label: Nb of publications
  yautorange: datafield=2
  yaxis.stubs: inc
  yaxis.location: min-0.25

#proc bars
  lenfield: 2
  locfield: 1
  color: red
  barwidth: 0.25
  outline: no

</xsl:template>

<xsl:template name="one_year">
 <xsl:param name="year"/>
 <xsl:value-of select="format-number(($year),'0000')"/>

 <xsl:text> </xsl:text>
 <xsl:value-of select="count(/descendant::d:biblioentry[child::d:biblioset[child::d:pubdate=$year]]) "/>
 <xsl:text>&#xA;</xsl:text>
</xsl:template>

</xsl:stylesheet>
